<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_23</title>
</head>
<body>
    <h1>Ejercicio 23</h1>
    <script>
    /*23) Programa una función que dado un array de números devuelva un 
    objeto con 2 arreglos en el primero almacena los números pares y en 
    el segundo los impares, pe. miFuncion([1,2,3,4,5,6,7,8,9,0]) 
    devolverá {pares: [2,4,6,8,0], impares: [1,3,5,7,9]}.*/

    const numParImpar = (numeros = undefined ) => {

        if (numeros === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(numeros instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (numeros.length === 0) return console.warn("El arreglo esta vacio");
        for (let num of numeros) {
            if (typeof num !== "number")
            return console.error(`El valor ingresado ${num}, No es un numero`);
        }

        return console.log( {
            pares : numeros.filter(num => num % 2 ===0),
            impares : numeros.filter(num => num % 2 === 1)
        }) 
    }

    numParImpar([1,2,3,4,5,6,7,8,9,0]);
    numParImpar();
    numParImpar("hola");
    numParImpar([1,2,"a",4]);
    numParImpar([]);

    </script>
    
</body>
</html>